package utilities

import (
	"context"

	"github.com/hashicorp/terraform-plugin-log/tflog"
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/cloudapi/compute"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/client"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/service/cloudapi/kvmvm/models"
)

func ComputeAuditsCheckPresence(ctx context.Context, state *models.ListAuditsModel, c *client.Client) (*compute.ListAudits, error) {
	tflog.Info(ctx, "Get compute audits list info")

	req := compute.AuditsRequest{
		ComputeID: uint64(state.ComputeID.ValueInt64()),
	}

	tflog.Info(ctx, "Check req", map[string]any{"req": req})

	auditsList, err := c.CloudAPI().Compute().Audits(ctx, req)
	if err != nil {
		return nil, err
	}

	tflog.Info(ctx, "Getting compute audits list, successfully")
	return &auditsList, nil
}
